using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takm2krugzad2
{
    class Program
    {
        static long PrebacivanjeNizaULong(int[] a,int n)
        {
            string s = "";
            for (int i = 0; i < n; i++)
            {
                s += a[i];
            }
            return Convert.ToInt64(s);
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split(' ');
            int[] niz = new int[n];
          
            for(int i= 0;i<n;i++)
            {
                niz[i] = Convert.ToInt32(s[i]);
            }
            if(n==2)
            {                
                Console.Write(niz[1].ToString() + " " + niz[0]);
            }
            else
            {
                long max = PrebacivanjeNizaULong(niz, n);
                for(int i=0;i<n-1;i++)
                    for(int j=i+1;j<n;j++)
                    {
                        int temp = niz[i];
                        niz[i] = niz[j];
                        niz[j] = temp;
                        if (PrebacivanjeNizaULong(niz, n) > max) max = PrebacivanjeNizaULong(niz, n);
                        temp = niz[i];
                        niz[i] = niz[j];
                        niz[j] = temp;
                    }
                
                char[] zaIspis = max.ToString().ToCharArray();
                for(int i= 0;i<n;i++)
                {
                    Console.Write(zaIspis[i] + " ");
                }
            }
           
        }
    }
}